libname peter 'c:\ecv95\data\output';

data new1;
   set peter.basicdat;

pcrexp=rexplrge/hhsize;
pcshort=(totshort/index)/hhsize;
data new2;
  set new1;
low=fpovlin*0.97;
high=fpovlin*1.03;
if low<pcshort<high;
proc means noprint;
   var pcrexp;
weight popwt;
output out=newdat1 mean(pcrexp)=avg1;

data new2;
  set new1;
low=fpovlin*0.95;
high=fpovlin*1.05;
if low<pcshort<high;
proc means noprint;
   var pcrexp;
weight popwt;
output out=newdat2 mean(pcrexp)=avg2;

data new2;
  set new1;
low=fpovlin*0.92;
high=fpovlin*1.08;
if low<pcshort<high;
proc means noprint;
   var pcrexp;
weight popwt;
output out=newdat3 mean(pcrexp)=avg3;

data new2;
  set new1;
low=fpovlin*0.90;
high=fpovlin*1.1;
if low<pcshort<high;
proc means noprint;
   var pcrexp;
weight popwt;
output out=newdat4 mean(pcrexp)=avg4;

data new2;
  set new1;
low=fpovlin*0.88;
high=fpovlin*1.12;
if low<pcshort<high;
proc means noprint;
   var pcrexp;
weight popwt;
output out=newdat5 mean(pcrexp)=avg5;

data new2;
   set newdat1;
   set newdat2;
   set newdat3;
   set newdat4;
   set newdat5;

upper=(avg1+avg2+avg3+avg4+avg5)/5;

proc print;
   var upper;
run;
quit;
