/* This program creates the 1995 household identifiers.  It was
possible to creat a unique identifier in two terms with this
dataset: nhid1 nhid2.  This program should be run for each module
and then the modules can be merged on the basis of nhid1 and nhid2.
*/

data new1;
   set piet.e95vi10 (keep=region ciudad area zona sector vivien
vmuest nhogar hogar npers estrato dominio fexp);
m1=region*10000000;
m2=ciudad*10;
m3=area;
m4=zona*1000000;
m5=sector*10000;
m6=vivien*10;
m7=hogar;

m8=npers;

nhid1=m1+m2+m3;
nhid2=m4+m5+m6+m7;

proc sort;
   by nhid1 nhid2;
run;
quit;
