***********************************************************************

This is the file aggregating expenditures from the vivienda and
education module.  The output is monthly expenditures put in dataset
saslib95.total1.


checked for comparablity with 1994 (education expenditures)

**********************************************************************;
;
options nocenter;
options linesize=80;
options obs=max;

libname saslib95 'c:\eclsms\data\saslib95';

/*;
data work3;
        set saslib95.e95vi10;

        expelec=vi22;
                if expelec>999997 then expelec=.;

        expcand=vi23;
                if expcand >999997 then expcand=.;

        exppho=vi26;
                if exppho>999997 then exppho=.;

        expcomb=vi31;
                if expcomb>999997 then expcomb=.;

        keep nhid1 nhid2  exppho expelec expcand expcomb;

* proc freq data=work3;
  *      tables expelec expcand exppho expcomb;
*/;
proc sort data=work3;
        by nhid1 nhid2;

data nhid;
        set saslib95.nhid;
        by nhid1 nhid2;
        id=1;

data work3;
        merge work3 nhid;
        by nhid1 nhid2;
        if id=. then delete;


data work4;
        set saslib95.e95pe10(keep=nhid1 nhid2 pe03a pe04a
                pe05a pe06a pe07a pe08a pe09a pe10a pe20a pe21a
                pe22a pe24a pe25a pe26a pe27a pe28a);


        if pe03a>999997 then pe03a=.;
                pe03a=pe03a/12;

        if pe04a>999997 then pe04a=.;
                pe04a=pe04a/12;

        if pe05a>999997 then pe05a=.;
                pe05a=pe05a/12;

        if pe06a>999997 then pe06a=.;

        if pe07a>999997 then pe07a=.;

        if pe08a>999997 then pe08a=.;

        if pe09a>999997 then pe09a=.;

        if pe10a>999997 then pe10a=.;

        if pe20a>999997 then pe20a=.;
                pe20a=pe20a/12;

        if pe21a>999997 then pe21a=.;
                pe21a=pe21a/12;

        if pe22a>999997 then pe22a=.;
                pe22a=pe22a/12;

        if pe24a>999997 then pe24a=.;
                pe24a=pe24a/12;

        if pe25a>888887 then pe25a=.;

        if pe26a>999997 then pe26a=.;

        if pe27a>99997 then pe27a=.;

        if pe28a>999997 then pe28a=.;


        expedu=
            sum(pe03a,pe04a,pe05a,pe06a,pe07a,pe08a,pe09a,
            pe10a,pe20a,pe21a,pe22a,pe24a,pe25a,pe26a,
            pe27a,pe28a);

        if expedu=. then expedu=0;

 proc sort data=work4;
        by nhid1 nhid2;

 proc means noprint;
        var expedu;
        by nhid1 nhid2;
        output out=work4 sum=
            expedu;

 data nhid;
        set saslib95.nhid;
        by nhid1 nhid2;
        ID=1;

 data work4;
        merge nhid work4;
        by nhid1 nhid2;
        if id=. then delete;


data saslib95.total1;
        merge work3 work4;
        by nhid1 nhid2;

run;

quit;
