**********************************************************************
This is the file putting all expenditures (other than
food) together in output file TOTALT.

**********************************************************************;
;
options nocenter;
options linesize=80;
options obs=max;

libname saslib95 'c:\eclsms\data\saslib95';

/*;

data work1;
        set saslib95.vivien;

proc sort data=work1;
        by nhid1 nhid2;

data work2;
        set saslib95.water;

proc sort data=work2;
        by nhid1 nhid2;

data work3;
        set saslib95.total1;

proc sort data=work3;
        by nhid1 nhid2;

data work4;
        set saslib95.total2;

proc sort data=work4;
        by nhid1 nhid2;
;
data work5;
        set saslib95.durcon;

proc sort data=work5;
        by nhid1 nhid2;
*/;
data saslib95.totalt;
        merge work1 work2 work3 work4 work5;
        by nhid1 nhid2;
        drop pumper pumper1 pumper2 pumper3 pumper4;

proc contents data=saslib95.totalt;

run;
quit;
