libname peter 'c:\ecv95\data\output';
libname piet 'c:\ecv95\data\v608';
/*
data new1;
   set peter.hhfoodsp;
region=int(nhid1/10000000);
zed1=region*10;
zed2=int(nhid1/10);
zed3=zed2*10;
area=nhid1-zed3;

regarea=zed1+area;
proc sort;
   by nhid1 nhid2;

data new2;
   set piet.e95vi10 (keep=region ciudad area zona sector vivien
vmuest nhogar hogar npers estrato dominio fexp);
m1=region*10000000;
m2=ciudad*10;
m3=area;
m4=zona*1000000;
m5=sector*10000;
m6=vivien*10;
m7=hogar;

m8=npers;

nhid1=m1+m2+m3;
nhid2=m4+m5+m6+m7;
keep nhid1 nhid2 fexp region ciudad area zona sector vivien vmuest
nhogar hogar npers estrato dominio;
proc sort;
   by nhid1 nhid2;

data new3;
   set piet.e95pe11 (keep=region ciudad area zona sector vivien
vmuest nhogar hogar npers estrato dominio pd01 pdsexed);

m1=region*10000000;
m2=ciudad*10;
m3=area;
m4=zona*1000000;
m5=sector*10000;
m6=vivien*10;
m7=hogar;

m8=npers;

nhid1=m1+m2+m3;
nhid2=m4+m5+m6+m7;

serial=1;
keep nhid1 nhid2 serial;
proc sort;
   by nhid1 nhid2;
proc means noprint;
   var serial;
by nhid1 nhid2;
output out=newdat sum(serial)=hhsize;

data big;
   merge new1 new2 newdat;
by nhid1 nhid2;
if totfood=. then delete;
proc sort;
   by regarea;

data new3;
merge big peter.regarfp;
by regarea;

popwt=hhsize*fexp;
povline=fpovl*14;
proc means mean;
   var povline;
weight popwt;
output out=newdat2 mean(povline)=povl;

data peter.basictmp;
   set newdat2 new3;
fpovlin +povl;
if totfood=. then delete;
index=(fpovl*14)/fpovlin;
proc sort;
   by nhid1 nhid2;
*/
data new1;
   set peter.basictmp;
proc sort;
   by nhid1 nhid2;
data new2;
   set peter.totalt;
proc sort;
   by nhid1 nhid2;

data peter.basicdat;
merge new1 new2;
   by nhid1 nhid2;
if totfood=. then delete;

if durcon=. then durcon=0;
if expcand=. then expcand=0;
if expcomb=. then expcomb=0;
if expedu=. then expedu=0;
if expelec=. then expelec=0;
if expothf=. then expothf=0;
if expotht=. then expotht=0;
if exppho=. then exppho=0;
if exprentp=. then exprentp=0;
if expwatp=. then expwatp=0;

durcon=durcon/2.16;
expcand=expcand/2.16;
expcomb=expcomb/2.16;
expedu=expedu/2.16;
expelec=expelec/2.16;
expothf=expothf/2.16;
expotht=expotht/2.16;
exppho=exppho/2.16;
exprentp=exprentp/2.16;
expwatp=expwatp/2.16;

exp1=durcon+expcand+expcomb+expedu+expelec+
expothf+expotht+exppho+exprentp;
exp2=expwatp;

explarge=totfood+cigaril+exp1+exp2;

rexplrge=((totfood+cigaril+exp1)/index)+exp2;

drop id zed1 zed3 _freq_ _type_ regarea fpovl rent exp1 exp2;

proc print;
   var nhid1 nhid2 totfood cigaril durcon expcand expcomb expedu
expelec expothf expotht exppho exprentp expwatp index;

run;
quit;
