libname pete 'c:\ecv95\data\v608';
libname peter 'c:\ecv95\data\output';
/*
proc format;
 value foodc 301='acelga' 302='ajo' 303='alverja seca'
304='alverja tierna' 305='apio' 306='col' 307='coliflor'
308='cebolla blanca' 309='cebolla paitena' 310='culantro y perejil'
311='choclos' 312='chochos' 313='frejol seco' 314='frejol tierno'
315='garbanzo seco' 316='haba seca' 317='haba tierna' 318='lechuga'
319='lenteja' 320='maiz y morocho' 321='mote' 322='melloco' 323='papas'
324='pepinillos' 325='pimientos' 326='platano maduro'
327='platano verde' 328='rabano' 329='remolacha' 330='tomate rinon'
331='vainita' 332='yuca' 333='zanahoria' 334='aguacate' 335='banano'
336='limon' 337='mandarina' 338='manzana' 339='maracuya'
340='melon' 341='mora' 342='naranja' 343='naranjilla' 344='papaya'
345='pina' 346='tomate de arbol' 347='fideos' 348='galletas'
349='harina de haba' 350='harina de maiz' 351='harina de platano'
352='harina de trigo' 353='machica' 354='quinua' 355='pan'
356='aceite vegetal' 357='arroz' 358='arroz de cebada' 359='avena'
360='azucar' 361='cafe' 362='cereales preparados' 363='cocoa'
364='chocolate' 365='manteca vegetal' 366='manteca de cerdo'
367='mantequilla' 368='margarina' 369='panela' 370='sal'
371='condimentos' 372='sardinas en lata' 373='carne de borrego'
374='carne de chancho' 375='carne suave de res' 376='huevos de gallina'
377='leche liquida' 378='leche en polvo' 379='mortadela'
380='salchichas' 381='pescado fresca' 382='camarones' 383='conchas'
384='pollo entero' 385='presas de pollo' 386='menudencias de pollo'
387='queso' 388='visceras' 389='agua mineral' 390='cerveza' 391='colas'
392='jugos' 393='licores' 394='cigarrillos';

data new0;
set pete.e95ga30;

m1=region*10000000;
m2=ciudad*10;
m3=area;
m4=zona*1000000;
m5=sector*10000;
m6=vivien*10;
m7=hogar;

m8=npers;

nhid1=m1+m2+m3;
nhid2=m4+m5+m6+m7;

dummy=1;

proc sort data=new0;
   by nhid1 nhid2;
run;
proc means noprint;
   var dummy;
by nhid1 nhid2;
output out=newdat sum(dummy)=double;

data new1;
   merge new0 newdat;
by nhid1 nhid2;
if double>1 then delete;
/*
data peter.food1;
   set new1;
foodcd=301;
purchase=ga0601;
freq=ga0701;
quantpur=ga0801;
unit=ga0801a;
expend=ga0901;
nonpur=ga1001;
freqnpur=ga1101;
valnopur=ga1201;
if purchase=1 or nonpur<5;
keep foodcd purchase freq quantpur unit expend nonpur freqnpur
valnopur
nhid1 nhid2;


data peter.food2;
   set new1;
foodcd=302;
purchase=ga0602;
freq=ga0702;
quantpur=ga0802;
unit=ga0802a;
expend=ga0902;
nonpur=ga1002;
freqnpur=ga1102;
valnopur=ga1202;
if purchase=1 or nonpur<5;
keep foodcd purchase freq quantpur unit expend nonpur freqnpur
valnopur
nhid1 nhid2;

data peter.food3;
   set new1;
foodcd=303;
purchase=ga0603;
freq=ga0703;
quantpur=ga0803;
unit=ga0803a;
expend=ga0903;
nonpur=ga1003;
freqnpur=ga1103;
valnopur=ga1203;
if purchase=1 or nonpur<5;
keep foodcd purchase freq quantpur unit expend nonpur freqnpur
valnopur
nhid1 nhid2;


data peter.food4;
   set new1;
foodcd=304;
purchase=ga0604;
freq=ga0704;
quantpur=ga0804;
unit=ga0804a;
expend=ga0904;
nonpur=ga1004;
freqnpur=ga1104;
valnopur=ga1204;
keep foodcd purchase freq quantpur unit expend nonpur freqnpur
valnopur
nhid1 nhid2;

data peter.food5;
   set new1;
foodcd=305;
purchase=ga0605;
freq=ga0705;
quantpur=ga0805;
unit=ga0805a;
expend=ga0905;
nonpur=ga1005;
freqnpur=ga1105;
valnopur=ga1205;
if purchase=1 or nonpur<5;
keep foodcd purchase freq quantpur unit expend nonpur freqnpur
valnopur
nhid1 nhid2;


data peter.food6;
   set new1;
foodcd=306;
purchase=ga0606;
freq=ga0706;
quantpur=ga0806;
unit=ga0806a;
expend=ga0906;
nonpur=ga1006;
freqnpur=ga1106;
valnopur=ga1206;
if purchase=1 or nonpur<5;
keep foodcd purchase freq quantpur unit expend nonpur freqnpur
valnopur
nhid1 nhid2;

data peter.food7;
   set new1;
foodcd=307;
purchase=ga0607;
freq=ga0707;
quantpur=ga0807;
unit=ga0807a;
expend=ga0907;
nonpur=ga1007;
freqnpur=ga1107;
valnopur=ga1207;
if purchase=1 or nonpur<5;
keep foodcd purchase freq quantpur unit expend nonpur freqnpur
valnopur
nhid1 nhid2;


data peter.food8;
   set new1;
foodcd=308;
purchase=ga0608;
freq=ga0708;
quantpur=ga0808;
unit=ga0808a;
expend=ga0908;
nonpur=ga1008;
freqnpur=ga1108;
valnopur=ga1208;
if purchase=1 or nonpur<5;
keep foodcd purchase freq quantpur unit expend nonpur freqnpur
valnopur
nhid1 nhid2;

data peter.food9;
   set new1;
foodcd=309;
purchase=ga0609;
freq=ga0709;
quantpur=ga0809;
unit=ga0809a;
expend=ga0909;
nonpur=ga1009;
freqnpur=ga1109;
valnopur=ga1209;
if purchase=1 or nonpur<5;
keep foodcd purchase freq quantpur unit expend nonpur freqnpur
valnopur
nhid1 nhid2;


data peter.food10;
   set new1;
foodcd=310;
purchase=ga0610;
freq=ga0710;
quantpur=ga0810;
unit=ga0810a;
expend=ga0910;
nonpur=ga1010;
freqnpur=ga1110;
valnopur=ga1210;
if purchase=1 or nonpur<5;
keep foodcd purchase freq quantpur unit expend nonpur freqnpur
valnopur
nhid1 nhid2;

data peter.food11;
   set new1;
foodcd=311;
purchase=ga0611;
freq=ga0711;
quantpur=ga0811;
unit=ga0811a;
expend=ga0911;
nonpur=ga1011;
freqnpur=ga1111;
valnopur=ga1211;
if purchase=1 or nonpur<5;
keep foodcd purchase freq quantpur unit expend nonpur freqnpur
valnopur
nhid1 nhid2;


data peter.food12;
   set new1;
foodcd=312;
purchase=ga0612;
freq=ga0712;
quantpur=ga0812;
unit=ga0812a;
expend=ga0912;
nonpur=ga1012;
freqnpur=ga1112;
valnopur=ga1212;
if purchase=1 or nonpur<5;
keep foodcd purchase freq quantpur unit expend nonpur freqnpur
valnopur
nhid1 nhid2;

data peter.food13;
   set new1;
foodcd=313;
purchase=ga0613;
freq=ga0713;
quantpur=ga0813;
unit=ga0813a;
expend=ga0913;
nonpur=ga1013;
freqnpur=ga1113;
valnopur=ga1213;
if purchase=1 or nonpur<5;
keep foodcd purchase freq quantpur unit expend nonpur freqnpur
valnopur
nhid1 nhid2;

data peter.food14;
   set new1;
foodcd=314;
purchase=ga0614;
freq=ga0714;
quantpur=ga0814;
unit=ga0814a;
expend=ga0914;
nonpur=ga1014;
freqnpur=ga1114;
valnopur=ga1214;
if purchase=1 or nonpur<5;
keep foodcd purchase freq quantpur unit expend nonpur freqnpur
valnopur
nhid1 nhid2;

data peter.food15;
   set new1;
foodcd=315;
purchase=ga0615;
freq=ga0715;
quantpur=ga0815;
unit=ga0815a;
expend=ga0915;
nonpur=ga1015;
freqnpur=ga1115;
valnopur=ga1215;
if purchase=1 or nonpur<5;
keep foodcd purchase freq quantpur unit expend nonpur freqnpur
valnopur
nhid1 nhid2;


data peter.food16;
   set new1;
foodcd=316;
purchase=ga0616;
freq=ga0716;
quantpur=ga0816;
unit=ga0816a;
expend=ga0916;
nonpur=ga1016;
freqnpur=ga1116;
valnopur=ga1216;
if purchase=1 or nonpur<5;
keep foodcd purchase freq quantpur unit expend nonpur freqnpur
valnopur
nhid1 nhid2;

data peter.food17;
   set new1;
foodcd=317;
purchase=ga0617;
freq=ga0717;
quantpur=ga0817;
unit=ga0817a;
expend=ga0917;
nonpur=ga1017;
freqnpur=ga1117;
valnopur=ga1217;
if purchase=1 or nonpur<5;
keep foodcd purchase freq quantpur unit expend nonpur freqnpur
valnopur
nhid1 nhid2;


data peter.food18;
   set new1;
foodcd=318;
purchase=ga0618;
freq=ga0718;
quantpur=ga0818;
unit=ga0818a;
expend=ga0918;
nonpur=ga1018;
freqnpur=ga1118;
valnopur=ga1218;
if purchase=1 or nonpur<5;
keep foodcd purchase freq quantpur unit expend nonpur freqnpur
valnopur
nhid1 nhid2;

data peter.food19;
   set new1;
foodcd=319;
purchase=ga0619;
freq=ga0719;
quantpur=ga0819;
unit=ga0819a;
expend=ga0919;
nonpur=ga1019;
freqnpur=ga1119;
valnopur=ga1219;
if purchase=1 or nonpur<5;
keep foodcd purchase freq quantpur unit expend nonpur freqnpur
valnopur
nhid1 nhid2;


data peter.food20;
   set new1;
foodcd=320;
purchase=ga0620;
freq=ga0720;
quantpur=ga0820;
unit=ga0820a;
expend=ga0920;
nonpur=ga1020;
freqnpur=ga1120;
valnopur=ga1220;
if purchase=1 or nonpur<5;
keep foodcd purchase freq quantpur unit expend nonpur freqnpur
valnopur
nhid1 nhid2;

data peter.food21;
   set new1;
foodcd=321;
purchase=ga0621;
freq=ga0721;
quantpur=ga0821;
unit=ga0821a;
expend=ga0921;
nonpur=ga1021;
freqnpur=ga1121;
valnopur=ga1221;
if purchase=1 or nonpur<5;
keep foodcd purchase freq quantpur unit expend nonpur freqnpur
valnopur
nhid1 nhid2;


data peter.food22;
   set new1;
foodcd=322;
purchase=ga0622;
freq=ga0722;
quantpur=ga0822;
unit=ga0822a;
expend=ga0922;
nonpur=ga1022;
freqnpur=ga1122;
valnopur=ga1222;
if purchase=1 or nonpur<5;
keep foodcd purchase freq quantpur unit expend nonpur freqnpur
valnopur
nhid1 nhid2;

data peter.food23;
   set new1;
foodcd=323;
purchase=ga0623;
freq=ga0723;
quantpur=ga0823;
unit=ga0823a;
expend=ga0923;
nonpur=ga1023;
freqnpur=ga1123;
valnopur=ga1223;
if purchase=1 or nonpur<5;
keep foodcd purchase freq quantpur unit expend nonpur freqnpur
valnopur
nhid1 nhid2;


data peter.food24;
   set new1;
foodcd=324;
purchase=ga0624;
freq=ga0724;
quantpur=ga0824;
unit=ga0824a;
expend=ga0924;
nonpur=ga1024;
freqnpur=ga1124;
valnopur=ga1224;
if purchase=1 or nonpur<5;
keep foodcd purchase freq quantpur unit expend nonpur freqnpur
valnopur
nhid1 nhid2;

data peter.food25;
   set new1;
foodcd=325;
purchase=ga0625;
freq=ga0725;
quantpur=ga0825;
unit=ga0825a;
expend=ga0925;
nonpur=ga1025;
freqnpur=ga1125;
valnopur=ga1225;
if purchase=1 or nonpur<5;
keep foodcd purchase freq quantpur unit expend nonpur freqnpur
valnopur
nhid1 nhid2;


data peter.food26;
   set new1;
foodcd=326;
purchase=ga0626;
freq=ga0726;
quantpur=ga0826;
unit=ga0826a;
expend=ga0926;
nonpur=ga1026;
freqnpur=ga1126;
valnopur=ga1226;
if purchase=1 or nonpur<5;
keep foodcd purchase freq quantpur unit expend nonpur freqnpur
valnopur
nhid1 nhid2;

data peter.food27;
   set new1;
foodcd=327;
purchase=ga0627;
freq=ga0727;
quantpur=ga0827;
unit=ga0827a;
expend=ga0927;
nonpur=ga1027;
freqnpur=ga1127;
valnopur=ga1227;
if purchase=1 or nonpur<5;
keep foodcd purchase freq quantpur unit expend nonpur freqnpur
valnopur
nhid1 nhid2;


data peter.food28;
   set new1;
foodcd=328;
purchase=ga0628;
freq=ga0728;
quantpur=ga0828;
unit=ga0828a;
expend=ga0928;
nonpur=ga1028;
freqnpur=ga1128;
valnopur=ga1228;
if purchase=1 or nonpur<5;
keep foodcd purchase freq quantpur unit expend nonpur freqnpur
valnopur
nhid1 nhid2;

data peter.food29;
   set new1;
foodcd=329;
purchase=ga0629;
freq=ga0729;
quantpur=ga0829;
unit=ga0829a;
expend=ga0929;
nonpur=ga1029;
freqnpur=ga1129;
valnopur=ga1229;
if purchase=1 or nonpur<5;
keep foodcd purchase freq quantpur unit expend nonpur freqnpur
valnopur
nhid1 nhid2;


data peter.food30;
   set new1;
foodcd=330;
purchase=ga0630;
freq=ga0730;
quantpur=ga0830;
unit=ga0830a;
expend=ga0930;
nonpur=ga1030;
freqnpur=ga1130;
valnopur=ga1230;
if purchase=1 or nonpur<5;
keep foodcd purchase freq quantpur unit expend nonpur freqnpur
valnopur
nhid1 nhid2;

data peter.food31;
   set new1;
foodcd=331;
purchase=ga0631;
freq=ga0731;
quantpur=ga0831;
unit=ga0831a;
expend=ga0931;
nonpur=ga1031;
freqnpur=ga1131;
valnopur=ga1231;
if purchase=1 or nonpur<5;
keep foodcd purchase freq quantpur unit expend nonpur freqnpur
valnopur
nhid1 nhid2;


data peter.food32;
   set new1;
foodcd=332;
purchase=ga0632;
freq=ga0732;
quantpur=ga0832;
unit=ga0832a;
expend=ga0932;
nonpur=ga1032;
freqnpur=ga1132;
valnopur=ga1232;
if purchase=1 or nonpur<5;
keep foodcd purchase freq quantpur unit expend nonpur freqnpur
valnopur
nhid1 nhid2;

data peter.food33;
   set new1;
foodcd=333;
purchase=ga0633;
freq=ga0733;
quantpur=ga0833;
unit=ga0833a;
expend=ga0933;
nonpur=ga1033;
freqnpur=ga1133;
valnopur=ga1233;
if purchase=1 or nonpur<5;
keep foodcd purchase freq quantpur unit expend nonpur freqnpur
valnopur
nhid1 nhid2;


data peter.food34;
   set new1;
foodcd=334;
purchase=ga0634;
freq=ga0734;
quantpur=ga0834;
unit=ga0834a;
expend=ga0934;
nonpur=ga1034;
freqnpur=ga1134;
valnopur=ga1234;
if purchase=1 or nonpur<5;
keep foodcd purchase freq quantpur unit expend nonpur freqnpur
valnopur
nhid1 nhid2;

data peter.food35;
   set new1;
foodcd=335;
purchase=ga0635;
freq=ga0735;
quantpur=ga0835;
unit=ga0835a;
expend=ga0935;
nonpur=ga1035;
freqnpur=ga1135;
valnopur=ga1235;
if purchase=1 or nonpur<5;
keep foodcd purchase freq quantpur unit expend nonpur freqnpur
valnopur
nhid1 nhid2;


data peter.food36;
   set new1;
foodcd=336;
purchase=ga0636;
freq=ga0736;
quantpur=ga0836;
unit=ga0836a;
expend=ga0936;
nonpur=ga1036;
freqnpur=ga1136;
valnopur=ga1236;
if purchase=1 or nonpur<5;
keep foodcd purchase freq quantpur unit expend nonpur freqnpur
valnopur
nhid1 nhid2;

data peter.food37;
   set new1;
foodcd=337;
purchase=ga0637;
freq=ga0737;
quantpur=ga0837;
unit=ga0837a;
expend=ga0937;
nonpur=ga1037;
freqnpur=ga1137;
valnopur=ga1237;
if purchase=1 or nonpur<5;
keep foodcd purchase freq quantpur unit expend nonpur freqnpur
valnopur
nhid1 nhid2;


data peter.food38;
   set new1;
foodcd=338;
purchase=ga0638;
freq=ga0738;
quantpur=ga0838;
unit=ga0838a;
expend=ga0938;
nonpur=ga1038;
freqnpur=ga1138;
valnopur=ga1238;
if purchase=1 or nonpur<5;
keep foodcd purchase freq quantpur unit expend nonpur freqnpur
valnopur
nhid1 nhid2;

data peter.food39;
   set new1;
foodcd=339;
purchase=ga0639;
freq=ga0739;
quantpur=ga0839;
unit=ga0839a;
expend=ga0939;
nonpur=ga1039;
freqnpur=ga1139;
valnopur=ga1239;
if purchase=1 or nonpur<5;
keep foodcd purchase freq quantpur unit expend nonpur freqnpur
valnopur
nhid1 nhid2;

data peter.food40;
   set new1;
foodcd=340;
purchase=ga0640;
freq=ga0740;
quantpur=ga0840;
unit=ga0840a;
expend=ga0940;
nonpur=ga1040;
freqnpur=ga1140;
valnopur=ga1240;
if purchase=1 or nonpur<5;
keep foodcd purchase freq quantpur unit expend nonpur freqnpur
valnopur
nhid1 nhid2;

data peter.food41;
   set new1;
foodcd=341;
purchase=ga0641;
freq=ga0741;
quantpur=ga0841;
unit=ga0841a;
expend=ga0941;
nonpur=ga1041;
freqnpur=ga1141;
valnopur=ga1241;
if purchase=1 or nonpur<5;
keep foodcd purchase freq quantpur unit expend nonpur freqnpur
valnopur
nhid1 nhid2;


data peter.food42;
   set new1;
foodcd=342;
purchase=ga0642;
freq=ga0742;
quantpur=ga0842;
unit=ga0842a;
expend=ga0942;
nonpur=ga1042;
freqnpur=ga1142;
valnopur=ga1242;
if purchase=1 or nonpur<5;
keep foodcd purchase freq quantpur unit expend nonpur freqnpur
valnopur
nhid1 nhid2;

data peter.food43;
   set new1;
foodcd=343;
purchase=ga0643;
freq=ga0743;
quantpur=ga0843;
unit=ga0843a;
expend=ga0943;
nonpur=ga1043;
freqnpur=ga1143;
valnopur=ga1243;
if purchase=1 or nonpur<5;
keep foodcd purchase freq quantpur unit expend nonpur freqnpur
valnopur
nhid1 nhid2;


data peter.food44;
   set new1;
foodcd=344;
purchase=ga0644;
freq=ga0744;
quantpur=ga0844;
unit=ga0844a;
expend=ga0944;
nonpur=ga1044;
freqnpur=ga1144;
valnopur=ga1244;
if purchase=1 or nonpur<5;
keep foodcd purchase freq quantpur unit expend nonpur freqnpur
valnopur
nhid1 nhid2;

data peter.food45;
   set new1;
foodcd=345;
purchase=ga0645;
freq=ga0745;
quantpur=ga0845;
unit=ga0845a;
expend=ga0945;
nonpur=ga1045;
freqnpur=ga1145;
valnopur=ga1245;
keep foodcd purchase freq quantpur unit expend nonpur freqnpur
valnopur
nhid1 nhid2;


data peter.food46;
   set new1;
foodcd=346;
purchase=ga0646;
freq=ga0746;
quantpur=ga0846;
unit=ga0846a;
expend=ga0946;
nonpur=ga1046;
freqnpur=ga1146;
valnopur=ga1246;
if purchase=1 or nonpur<5;
keep foodcd purchase freq quantpur unit expend nonpur freqnpur
valnopur
nhid1 nhid2;

data peter.food47;
   set new1;
foodcd=347;
purchase=ga0647;
freq=ga0747;
quantpur=ga0847;
unit=ga0847a;
expend=ga0947;
nonpur=ga1047;
freqnpur=ga1147;
valnopur=ga1247;
if purchase=1 or nonpur<5;
keep foodcd purchase freq quantpur unit expend nonpur freqnpur
valnopur
nhid1 nhid2;


data peter.food48;
   set new1;
foodcd=348;
purchase=ga0648;
freq=ga0748;
quantpur=ga0848;
unit=ga0848a;
expend=ga0948;
nonpur=ga1048;
freqnpur=ga1148;
valnopur=ga1248;
if purchase=1 or nonpur<5;
keep foodcd purchase freq quantpur unit expend nonpur freqnpur
valnopur
nhid1 nhid2;

data peter.food49;
   set new1;
foodcd=349;
purchase=ga0649;
freq=ga0749;
quantpur=ga0849;
unit=ga0849a;
expend=ga0949;
nonpur=ga1049;
freqnpur=ga1149;
valnopur=ga1249;
if purchase=1 or nonpur<5;
keep foodcd purchase freq quantpur unit expend nonpur freqnpur
valnopur
nhid1 nhid2;

data peter.food50;
   set new1;
foodcd=350;
purchase=ga0650;
freq=ga0750;
quantpur=ga0850;
unit=ga0850a;
expend=ga0950;
nonpur=ga1050;
freqnpur=ga1150;
valnopur=ga1250;
if purchase=1 or nonpur<5;
keep foodcd purchase freq quantpur unit expend nonpur freqnpur
valnopur
nhid1 nhid2;

data peter.food51;
   set new1;
foodcd=351;
purchase=ga0651;
freq=ga0751;
quantpur=ga0851;
unit=ga0851a;
expend=ga0951;
nonpur=ga1051;
freqnpur=ga1151;
valnopur=ga1251;
if purchase=1 or nonpur<5;
keep  foodcd purchase freq quantpur unit expend nonpur freqnpur
valnopur
nhid1 nhid2;


data peter.food52;
   set new1;
foodcd=352;
purchase=ga0652;
freq=ga0752;
quantpur=ga0852;
unit=ga0852a;
expend=ga0952;
nonpur=ga1052;
freqnpur=ga1152;
valnopur=ga1252;
if purchase=1 or nonpur<5;
keep foodcd purchase freq quantpur unit expend nonpur freqnpur
valnopur
nhid1 nhid2;

data peter.food53;
   set new1;
foodcd=353;
purchase=ga0653;
freq=ga0753;
quantpur=ga0853;
unit=ga0853a;
expend=ga0953;
nonpur=ga1053;
if purchase=1 or nonpur<5;
freqnpur=ga1153;
valnopur=ga1253;
if purchase=1 or nonpur<5;
keep foodcd purchase freq quantpur unit expend nonpur freqnpur
valnopur
nhid1 nhid2;


data peter.food54;
   set new1;
foodcd=354;
purchase=ga0654;
freq=ga0754;
quantpur=ga0854;
unit=ga0854a;
expend=ga0954;
nonpur=ga1054;
freqnpur=ga1154;
valnopur=ga1254;
if purchase=1 or nonpur<5;
keep foodcd purchase freq quantpur unit expend nonpur freqnpur
valnopur
nhid1 nhid2;

data peter.food55;
   set new1;
foodcd=355;
purchase=ga0655;
freq=ga0755;
quantpur=ga0855;
unit=ga0855a;
expend=ga0955;
nonpur=ga1055;
freqnpur=ga1155;
valnopur=ga1255;
if purchase=1 or nonpur<5;
keep foodcd purchase freq quantpur unit expend nonpur freqnpur
valnopur
nhid1 nhid2;


data peter.food56;
   set new1;
foodcd=356;
purchase=ga0656;
freq=ga0756;
quantpur=ga0856;
unit=ga0856a;
expend=ga0956;
nonpur=ga1056;
freqnpur=ga1156;
valnopur=ga1256;
if purchase=1 or nonpur<5;
keep foodcd purchase freq quantpur unit expend nonpur freqnpur
valnopur
nhid1 nhid2;

data peter.food57;
   set new1;
foodcd=357;
purchase=ga0657;
freq=ga0757;
quantpur=ga0857;
unit=ga0857a;
expend=ga0957;
nonpur=ga1057;
freqnpur=ga1157;
valnopur=ga1257;
if purchase=1 or nonpur<5;
keep foodcd purchase freq quantpur unit expend nonpur freqnpur
valnopur
nhid1 nhid2;


data peter.food58;
   set new1;
foodcd=       358;
purchase=  ga0658;
freq=      ga0758;
quantpur=  ga0858;
unit=      ga0858a;
expend=    ga0958;
nonpur=    ga1058;
freqnpur=ga1158;
valnopur=ga1258;
if purchase=1 or nonpur<5;
keep foodcd purchase freq quantpur unit expend nonpur freqnpur
valnopur
nhid1 nhid2;

data peter.food59;
   set new1;
foodcd=       359;
purchase=  ga0659;
freq=      ga0759;
quantpur=  ga0859;
unit=      ga0859a;
expend=    ga0959;
nonpur=    ga1059;
freqnpur=ga1159;
valnopur=ga1259;
if purchase=1 or nonpur<5;
keep foodcd purchase freq quantpur unit expend nonpur freqnpur
valnopur
nhid1 nhid2;

data peter.food60;
   set new1;
foodcd=360;
purchase=ga0660;
freq=ga0760;
quantpur=ga0860;
unit=ga0860a;
expend=ga0960;
nonpur=ga1060;
freqnpur=ga1160;
valnopur=ga1260;
if purchase=1 or nonpur<5;
keep foodcd purchase freq quantpur unit expend nonpur freqnpur
valnopur
nhid1 nhid2;

data peter.food61;
   set new1;
foodcd=361;
purchase=ga0661;
freq=ga0761;
quantpur=ga0861;
unit=ga0861a;
expend=ga0961;
nonpur=ga1061;
freqnpur=ga1161;
valnopur=ga1261;
if purchase=1 or nonpur<5;
keep foodcd purchase freq quantpur unit expend nonpur freqnpur
valnopur
nhid1 nhid2;


data peter.food62;
   set new1;
foodcd=362;
purchase=ga0662;
freq=ga0762;
quantpur=ga0862;
unit=ga0862a;
expend=ga0962;
nonpur=ga1062;
freqnpur=ga1162;
valnopur=ga1262;
if purchase=1 or nonpur<5;
keep foodcd purchase freq quantpur unit expend nonpur freqnpur
valnopur
nhid1 nhid2;

data peter.food63;
   set new1;
foodcd=363;
purchase=ga0663;
freq=ga0763;
quantpur=ga0863;
unit=ga0863a;
expend=ga0963;
nonpur=ga1063;
freqnpur=ga1163;
valnopur=ga1263;
if purchase=1 or nonpur<5;
keep foodcd purchase freq quantpur unit expend nonpur freqnpur
valnopur
nhid1 nhid2;


data peter.food64;
   set new1;
foodcd=364;
purchase=ga0664;
freq=ga0764;
quantpur=ga0864;
unit=ga0864a;
expend=ga0964;
nonpur=ga1064;
freqnpur=ga1164;
valnopur=ga1264;
if purchase=1 or nonpur<5;
keep foodcd purchase freq quantpur unit expend nonpur freqnpur
valnopur
nhid1 nhid2;

data peter.food65;
   set new1;
foodcd=365;
purchase=ga0665;
freq=ga0765;
quantpur=ga0865;
unit=ga0865a;
expend=ga0965;
nonpur=ga1065;
freqnpur=ga1165;
valnopur=ga1265;
if purchase=1 or nonpur<5;
keep foodcd purchase freq quantpur unit expend nonpur freqnpur
valnopur
nhid1 nhid2;


data peter.food66;
   set new1;
foodcd=366;
purchase=ga0666;
freq=ga0766;
quantpur=ga0866;
unit=ga0866a;
expend=ga0966;
nonpur=ga1066;
freqnpur=ga1166;
valnopur=ga1266;
if purchase=1 or nonpur<5;
keep foodcd purchase freq quantpur unit expend nonpur freqnpur
valnopur
nhid1 nhid2;

data peter.food67;
   set new1;
foodcd=367;
purchase=ga0667;
freq=ga0767;
quantpur=ga0867;
unit=ga0867a;
expend=ga0967;
nonpur=ga1067;
freqnpur=ga1167;
valnopur=ga1267;
if purchase=1 or nonpur<5;
keep foodcd purchase freq quantpur unit expend nonpur freqnpur
valnopur
nhid1 nhid2;


data peter.food68;
   set new1;
foodcd=       368;
purchase=  ga0668;
freq=      ga0768;
quantpur=  ga0868;
unit=      ga0868a;
expend=    ga0968;
nonpur=    ga1068;
freqnpur=ga1168;
valnopur=ga1268;
if purchase=1 or nonpur<5;
keep foodcd purchase freq quantpur unit expend nonpur freqnpur
valnopur
nhid1 nhid2;

data peter.food69;
   set new1;
foodcd=       369;
purchase=  ga0669;
freq=      ga0769;
quantpur=  ga0869;
unit=      ga0869a;
expend=    ga0969;
nonpur=    ga1069;
freqnpur=ga1169;
valnopur=ga1269;
if purchase=1 or nonpur<5;
keep foodcd purchase freq quantpur unit expend nonpur freqnpur
valnopur
nhid1 nhid2;

data peter.food70;
   set new1;
foodcd=370;
purchase=ga0670;
freq=ga0770;
quantpur=ga0870;
unit=ga0870a;
expend=ga0970;
nonpur=ga1070;
freqnpur=ga1170;
valnopur=ga1270;
if purchase=1 or nonpur<5;
keep foodcd purchase freq quantpur unit expend nonpur freqnpur
valnopur
nhid1 nhid2;

data peter.food71;
   set new1;
foodcd=371;
purchase=ga0671;
freq=ga0771;
quantpur=ga0871;
unit=ga0871a;
expend=ga0971;
nonpur=ga1071;
freqnpur=ga1171;
valnopur=ga1271;
if purchase=1 or nonpur<5;
keep foodcd purchase freq quantpur unit expend nonpur freqnpur
valnopur
nhid1 nhid2;


data peter.food72;
   set new1;
foodcd=372;
purchase=ga0672;
freq=ga0772;
quantpur=ga0872;
unit=ga0872a;
expend=ga0972;
nonpur=ga1072;
freqnpur=ga1172;
valnopur=ga1272;
if purchase=1 or nonpur<5;
keep  foodcd purchase freq quantpur unit expend nonpur freqnpur
valnopur
nhid1 nhid2;

data peter.food73;
   set new1;
foodcd=373;
purchase=ga0673;
freq=ga0773;
quantpur=ga0873;
unit=ga0873a;
expend=ga0973;
nonpur=ga1073;
freqnpur=ga1173;
valnopur=ga1273;
if purchase=1 or nonpur<5;
keep foodcd purchase freq quantpur unit expend nonpur freqnpur
valnopur
nhid1 nhid2;


data peter.food74;
   set new1;
foodcd=374;
purchase=ga0674;
freq=ga0774;
quantpur=ga0874;
unit=ga0874a;
expend=ga0974;
nonpur=ga1074;
freqnpur=ga1174;
valnopur=ga1274;
if purchase=1 or nonpur<5;
keep foodcd purchase freq quantpur unit expend nonpur freqnpur
valnopur
nhid1 nhid2;

data peter.food75;
   set new1;
foodcd=375;
purchase=ga0675;
freq=ga0775;
quantpur=ga0875;
unit=ga0875a;
expend=ga0975;
nonpur=ga1075;
freqnpur=ga1175;
valnopur=ga1275;
if purchase=1 or nonpur<5;
keep foodcd purchase freq quantpur unit expend nonpur freqnpur
valnopur
nhid1 nhid2;


data peter.food76;
   set new1;
foodcd=376;
purchase=ga0676;
freq=ga0776;
quantpur=ga0876;
unit=ga0876a;
expend=ga0976;
nonpur=ga1076;
freqnpur=ga1176;
valnopur=ga1276;
if purchase=1 or nonpur<5;
keep foodcd purchase freq quantpur unit expend nonpur freqnpur
valnopur
nhid1 nhid2;

data peter.food77;
   set new1;
foodcd=377;
purchase=ga0677;
freq=ga0777;
quantpur=ga0877;
unit=ga0877a;
expend=ga0977;
nonpur=ga1077;
freqnpur=ga1177;
valnopur=ga1277;
if purchase=1 or nonpur<5;
keep foodcd purchase freq quantpur unit expend nonpur freqnpur
valnopur
nhid1 nhid2;


data peter.food78;
   set new1;
foodcd=       378;
purchase=  ga0678;
freq=      ga0778;
quantpur=  ga0878;
unit=      ga0878a;
expend=    ga0978;
nonpur=    ga1078;
freqnpur=ga1178;
valnopur=ga1278;
if purchase=1 or nonpur<5;
keep foodcd purchase freq quantpur unit expend nonpur freqnpur
valnopur
nhid1 nhid2;

data peter.food79;
   set new1;
foodcd=       379;
purchase=  ga0679;
freq=      ga0779;
quantpur=  ga0879;
unit=      ga0879a;
expend=    ga0979;
nonpur=    ga1079;
freqnpur=ga1179;
valnopur=ga1279;
if purchase=1 or nonpur<5;
keep foodcd purchase freq quantpur unit expend nonpur freqnpur
valnopur
nhid1 nhid2;

data peter.food80;
   set new1;
foodcd=380;
purchase=ga0680;
freq=ga0780;
quantpur=ga0880;
unit=ga0880a;
expend=ga0980;
nonpur=ga1080;
freqnpur=ga1180;
valnopur=ga1280;
if purchase=1 or nonpur<5;
keep foodcd purchase freq quantpur unit expend nonpur freqnpur
valnopur
nhid1 nhid2;

data peter.food81;
   set new1;
foodcd=381;
purchase=ga0681;
freq=ga0781;
quantpur=ga0881;
unit=ga0881a;
expend=ga0981;
nonpur=ga1081;
freqnpur=ga1181;
valnopur=ga1281;
if purchase=1 or nonpur<5;
keep foodcd purchase freq quantpur unit expend nonpur freqnpur
valnopur
nhid1 nhid2;


data peter.food82;
   set new1;
foodcd=382;
purchase=ga0682;
freq=ga0782;
quantpur=ga0882;
unit=ga0882a;
expend=ga0982;
nonpur=ga1082;
freqnpur=ga1182;
valnopur=ga1282;
if purchase=1 or nonpur<5;
keep foodcd purchase freq quantpur unit expend nonpur freqnpur
valnopur
nhid1 nhid2;

data peter.food83;
   set new1;
foodcd=383;
purchase=ga0683;
freq=ga0783;
quantpur=ga0883;
unit=ga0883a;
expend=ga0983;
nonpur=ga1083;
freqnpur=ga1183;
valnopur=ga1283;
if purchase=1 or nonpur<5;
keep foodcd purchase freq quantpur unit expend nonpur freqnpur
valnopur
nhid1 nhid2;


data peter.food84;
   set new1;
foodcd=384;
purchase=ga0684;
freq=ga0784;
quantpur=ga0884;
unit=ga0884a;
expend=ga0984;
nonpur=ga1084;
freqnpur=ga1184;
valnopur=ga1284;
if purchase=1 or nonpur<5;
keep foodcd purchase freq quantpur unit expend nonpur freqnpur
valnopur
nhid1 nhid2;

data peter.food85;
   set new1;
foodcd=385;
purchase=ga0685;
freq=ga0785;
quantpur=ga0885;
unit=ga0885a;
expend=ga0985;
nonpur=ga1085;
freqnpur=ga1185;
valnopur=ga1285;
if purchase=1 or nonpur<5;
keep foodcd purchase freq quantpur unit expend nonpur freqnpur
valnopur
nhid1 nhid2;


data peter.food86;
   set new1;
foodcd=386;
purchase=ga0686;
freq=ga0786;
quantpur=ga0886;
unit=ga0886a;
expend=ga0986;
nonpur=ga1086;
freqnpur=ga1186;
valnopur=ga1286;
if purchase=1 or nonpur<5;
keep foodcd purchase freq quantpur unit expend nonpur freqnpur
valnopur
nhid1 nhid2;

data peter.food87;
   set new1;
foodcd=387;
purchase=ga0687;
freq=ga0787;
quantpur=ga0887;
unit=ga0887a;
expend=ga0987;
nonpur=ga1087;
freqnpur=ga1187;
valnopur=ga1287;
if purchase=1 or nonpur<5;
keep foodcd purchase freq quantpur unit expend nonpur freqnpur
valnopur
nhid1 nhid2;


data peter.food88;
   set new1;
foodcd=       388;
purchase=  ga0688;
freq=      ga0788;
quantpur=  ga0888;
unit=      ga0888a;
expend=    ga0988;
nonpur=    ga1088;
freqnpur=ga1188;
valnopur=ga1288;
if purchase=1 or nonpur<5;
keep foodcd purchase freq quantpur unit expend nonpur freqnpur
valnopur
nhid1 nhid2;

data peter.food89;
   set new1;
foodcd=       389;
purchase=  ga0689;
freq=      ga0789;
quantpur=  ga0889;
unit=      ga0889a;
expend=    ga0989;
nonpur=    ga1089;
freqnpur=ga1189;
valnopur=ga1289;
if purchase=1 or nonpur<5;
keep foodcd purchase freq quantpur unit expend nonpur freqnpur
valnopur
nhid1 nhid2;

data peter.food90;
   set new1;
foodcd=390;
purchase=ga0690;
freq=ga0790;
quantpur=ga0890;
unit=ga0890a;
expend=ga0990;
nonpur=ga1090;
freqnpur=ga1190;
valnopur=ga1290;
if purchase=1 or nonpur<5;
keep foodcd purchase freq quantpur unit expend nonpur freqnpur
valnopur
nhid1 nhid2;

data peter.food91;
   set new1;
foodcd=391;
purchase=ga0691;
freq=ga0791;
quantpur=ga0891;
unit=ga0891a;
expend=ga0991;
nonpur=ga1091;
freqnpur=ga1191;
valnopur=ga1291;
if purchase=1 or nonpur<5;
keep foodcd purchase freq quantpur unit expend nonpur freqnpur
valnopur
nhid1 nhid2;


data peter.food92;
   set new1;
foodcd=392;
purchase=ga0692;
freq=ga0792;
quantpur=ga0892;
unit=ga0892a;
expend=ga0992;
nonpur=ga1092;
freqnpur=ga1192;
valnopur=ga1292;
if purchase=1 or nonpur<5;
keep foodcd purchase freq quantpur unit expend nonpur freqnpur
valnopur
nhid1 nhid2;

data peter.food93;
   set new1;
foodcd=393;
purchase=ga0693;
freq=ga0793;
quantpur=ga0893;
unit=ga0893a;
expend=ga0993;
nonpur=ga1093;
freqnpur=ga1193;
valnopur=ga1293;
if purchase=1 or nonpur<5;
keep foodcd purchase freq quantpur unit expend nonpur freqnpur
valnopur
nhid1 nhid2;


data peter.food94;
   set new1;
foodcd=394;
purchase=ga0694;
freq=ga0794;
quantpur=ga0894;
unit=ga0894a;
expend=ga0994;
nonpur=ga1094;
freqnpur=ga1194;
valnopur=ga1294;
if purchase=1 or nonpur<5;
keep foodcd purchase freq quantpur unit expend nonpur freqnpur
valnopur
nhid1 nhid2;

*/
data peter.foodcode;
   set peter.food1 peter.food2
   peter.food3 peter.food4 peter.food5
   peter.food6 peter.food7 peter.food8 peter.food9 peter.food10

  peter.food11 peter.food12 peter.food13 peter.food14 peter.food15
  peter.food16 peter.food17 peter.food18 peter.food19

  peter.food20
  peter.food21 peter.food22 peter.food23 peter.food24 peter.food25
  peter.food26 peter.food27 peter.food28 peter.food29

  peter.food30
  peter.food31 peter.food32 peter.food33 peter.food34 peter.food35
  peter.food36 peter.food37 peter.food38 peter.food39


  peter.food40
  peter.food41 peter.food42 peter.food43 peter.food44 peter.food45
  peter.food46 peter.food47 peter.food48 peter.food49

  peter.food50
  peter.food51 peter.food52 peter.food53 peter.food54 peter.food55
  peter.food56 peter.food57 peter.food58 peter.food59

  peter.food60
  peter.food61 peter.food62 peter.food63 peter.food64 peter.food65
  peter.food66 peter.food67 peter.food68 peter.food69

  peter.food70
  peter.food71 peter.food72 peter.food73 peter.food74 peter.food75
  peter.food76 peter.food77 peter.food78 peter.food79

  peter.food80
  peter.food81 peter.food82 peter.food83 peter.food84 peter.food85
  peter.food86 peter.food87 peter.food88 peter.food89

  peter.food90
  peter.food91 peter.food92 peter.food93 peter.food94;

proc sort;
   by nhid1 nhid2 foodcd;
run;

quit;
