 libname peter 'c:\ecv95\data\output';

proc format;
 value foodc 301='acelga' 302='ajo' 303='alverja seca'
304='alverja tierna' 305='apio' 306='col' 307='coliflor'
308='cebolla blanca' 309='cebolla paitena' 310='culantro y perejil'
311='choclos' 312='chochos' 313='frejol seco' 314='frejol tierno'
315='garbanzo seco' 316='haba seca' 317='haba tierna' 318='lechuga'
319='lenteja' 320='maiz y morocho' 321='mote' 322='melloco' 323='papas'
324='pepinillos' 325='pimientos' 326='platano maduro'
327='platano verde' 328='rabano' 329='remolacha' 330='tomate rinon'
331='vainita' 332='yuca' 333='zanahoria' 334='aguacate' 335='banano'
336='limon' 337='mandarina' 338='manzana' 339='maracuya'
340='melon' 341='mora' 342='naranja' 343='naranjilla' 344='papaya'
345='pina' 346='tomate de arbol' 347='fideos' 348='galletas'
349='harina de haba' 350='harina de maiz' 351='harina de platano'
352='harina de trigo' 353='machica' 354='quinua' 355='pan'
356='aceite vegetal' 357='arroz' 358='arroz de cebada' 359='avena'
360='azucar' 361='cafe' 362='cereales preparados' 363='cocoa'
364='chocolate' 365='manteca vegetal' 366='manteca de cerdo'
367='mantequilla' 368='margarina' 369='panela' 370='sal'
371='condimentos' 372='sardinas en lata' 373='carne de borrego'
374='carne de chancho' 375='carne suave de res' 376='huevos de gallina'
377='leche liquida' 378='leche en polvo' 379='mortadela'
380='salchichas' 381='pescado fresca' 382='camarones' 383='conchas'
384='pollo entero' 385='presas de pollo' 386='menudencias de pollo'
387='queso' 388='visceras' 389='agua mineral' 390='cerveza' 391='colas'
392='jugos' 393='licores' 394='cigarrillos';


data new1;
set peter.canast94;
foodcd=ffood;
drop ffood;
proc sort;
  by foodcd;
data new2;
  set peter.regaravg;
ffood=foodcd;
if foodcd=349 then ffood=349;
if foodcd=350 then ffood=349;
if foodcd=351 then ffood=349;
if foodcd=352 then ffood=349;
proc sort;
   by ffood;
proc means noprint;
   var avgp11 avgp12 avgp13 avgp14 avgp21 avgp22 avgp23 avgp24 avgp31
      avgp32 avgp33 avgp34;
   by ffood;
output out=newdat mean(
avgp11 avgp12 avgp13 avgp14 avgp21 avgp22 avgp23 avgp24 avgp31
avgp32 avgp33 avgp34)=
avgp11 avgp12 avgp13 avgp14 avgp21 avgp22 avgp23 avgp24 avgp31
avgp32 avgp33 avgp34;
data new3;
   set newdat;
foodcd=ffood;
drop ffood;
proc sort;
   by foodcd;

data new22;
  set peter.natlavg;
ffood=foodcd;
if foodcd=349 then ffood=349;
if foodcd=350 then ffood=349;
if foodcd=351 then ffood=349;
if foodcd=352 then ffood=349;
proc sort;
   by ffood;
proc means noprint;
   var avgprice;
   by ffood;
output out=newdat mean(avgprice)=avgprice;
data new33;
   set newdat;
foodcd=ffood;
drop ffood;
proc sort;
   by foodcd;

data new222;
  set peter.regonavg;
ffood=foodcd;
if foodcd=349 then ffood=349;
if foodcd=350 then ffood=349;
if foodcd=351 then ffood=349;
if foodcd=352 then ffood=349;
proc sort;
   by ffood;
proc means noprint;
   var avgp1 avgp2 avgp3;
   by ffood;
output out=newdat mean(avgp1 avgp2 avgp3)=avgp1 avgp2 avgp3;
data new333;
   set newdat;
foodcd=ffood;
drop ffood;
proc sort;
   by foodcd;
data new4;
   merge new1 new3 new33 new333;
by foodcd;
if newqpd=. then delete;
if avgp11=. then avgp11=avgprice;
if avgp12=. then avgp12=avgprice;
if avgp13=. then avgp13=avgprice;
if avgp14=. then avgp14=avgprice;
if avgp21=. then avgp21=avgprice;
if avgp22=. then avgp22=avgprice;
if avgp23=. then avgp23=avgprice;
if avgp24=. then avgp24=avgprice;
if avgp31=. then avgp31=avgprice;
if avgp32=. then avgp32=avgprice;
if avgp33=. then avgp33=avgprice;
if avgp34=. then avgp34=avgprice;

keep foodcd newqpd avgp11 avgp12 avgp13 avgp14 avgp21 avgp22 avgp23
avgp24 avgp31 avgp32 avgp33 avgp34 avgp1 avgp2 avgp3 avgprice;

data new5;
   set new4;
spend11=newqpd*avgp11;
spend12=newqpd*avgp12;
spend13=newqpd*avgp13;
spend14=newqpd*avgp14;
spend21=newqpd*avgp21;
spend22=newqpd*avgp22;
spend23=newqpd*avgp23;
spend24=newqpd*avgp24;
spend31=newqpd*avgp31;
spend32=newqpd*avgp32;
spend33=newqpd*avgp33;
spend34=newqpd*avgp34;

spend1=newqpd*avgp1;
spend2=newqpd*avgp2;
spend3=newqpd*avgp3;

spend=newqpd*avgprice;

proc means sum;
    var spend11 spend12 spend13 spend14 spend21 spend22 spend23
spend24 spend31 spend32 spend33 spend34 spend1 spend2 spend3 spend;
output out=newdat sum(
spend11 spend12 spend13 spend14 spend21 spend22 spend23
spend24 spend31 spend32 spend33 spend34 spend1 spend2 spend3 spend)=
fpovl11 fpovl12 fpovl13 fpovl14 fpovl21 fpovl22 fpovl23 fpovl24
fpovl31 fpovl32 fpovl33 fpovl34 fpovl1 fpovl2 fpovl3 fpovl;
data new11;
  set newdat;
regarea=11;
fpovl=fpovl11;
keep regarea fpovl;
run;
data new12;
  set newdat;
regarea=12;
fpovl=fpovl12;
keep regarea fpovl;
run;
data new13;
  set newdat;
regarea=13;
fpovl=fpovl13;
keep regarea fpovl;
run;
data new14;
  set newdat;
regarea=14;
fpovl=fpovl14;
keep regarea fpovl;
run;

data new21;
  set newdat;
regarea=21;
fpovl=fpovl21;
keep regarea fpovl;
run;
data new22;
  set newdat;
regarea=22;
fpovl=fpovl22;
keep regarea fpovl;
run;
data new23;
  set newdat;
regarea=23;
fpovl=fpovl23;
keep regarea fpovl;
run;
data new24;
  set newdat;
regarea=24;
fpovl=fpovl24;
keep regarea fpovl;
run;
data new31;
  set newdat;
regarea=31;
fpovl=fpovl31;
keep regarea fpovl;
run;
data new32;
  set newdat;
regarea=32;
fpovl=fpovl32;
keep regarea fpovl;
run;
data new33;
  set newdat;
regarea=33;
fpovl=fpovl33;
keep regarea fpovl;
run;
data new34;
  set newdat;
regarea=34;
fpovl=fpovl34;
keep regarea fpovl;
run;

data peter.regarfp;
set new11 new12 new13 new14 new21 new22 new23 new24 new31 new32
new33 new34;
proc print;
   var regarea fpovl;
run;
quit;
