 libname peter 'c:\ecv95\data\output';
/*
proc format;
 value foodc 301='acelga' 302='ajo' 303='alverja seca'
304='alverja tierna' 305='apio' 306='col' 307='coliflor'
308='cebolla blanca' 309='cebolla paitena' 310='culantro y perejil'
311='choclos' 312='chochos' 313='frejol seco' 314='frejol tierno'
315='garbanzo seco' 316='haba seca' 317='haba tierna' 318='lechuga'
319='lenteja' 320='maiz y morocho' 321='mote' 322='melloco' 323='papas'
324='pepinillos' 325='pimientos' 326='platano maduro'
327='platano verde' 328='rabano' 329='remolacha' 330='tomate rinon'
331='vainita' 332='yuca' 333='zanahoria' 334='aguacate' 335='banano'
336='limon' 337='mandarina' 338='manzana' 339='maracuya'
340='melon' 341='mora' 342='naranja' 343='naranjilla' 344='papaya'
345='pina' 346='tomate de arbol' 347='fideos' 348='galletas'
349='harina de haba' 350='harina de maiz' 351='harina de platano'
352='harina de trigo' 353='machica' 354='quinua' 355='pan'
356='aceite vegetal' 357='arroz' 358='arroz de cebada' 359='avena'
360='azucar' 361='cafe' 362='cereales preparados' 363='cocoa'
364='chocolate' 365='manteca vegetal' 366='manteca de cerdo'
367='mantequilla' 368='margarina' 369='panela' 370='sal'
371='condimentos' 372='sardinas en lata' 373='carne de borrego'
374='carne de chancho' 375='carne suave de res' 376='huevos de gallina'
377='leche liquida' 378='leche en polvo' 379='mortadela'
380='salchichas' 381='pescado fresca' 382='camarones' 383='conchas'
384='pollo entero' 385='presas de pollo' 386='menudencias de pollo'
387='queso' 388='visceras' 389='agua mineral' 390='cerveza' 391='colas'
392='jugos' 393='licores' 394='cigarrillos';

* FOODQUAN.SD2                                                         ;
* nhid1 nhid2 regarea region foodcd quantity modcost1 modcost2 modcost3;

data new1;
set peter.foodquan;

price=modcost1;
if modcost1=. then price=modcost2;
if modcost1=. and modcost2=. then price=modcost3;
proc sort;
   by region foodcd;
proc means noprint;
   var quantity price;
   by region foodcd;
output out=newdat1 sum(quantity)=total mean(price)=avgprice;

data new2;
set new1;
serial=1;
proc sort;
   by nhid1 nhid2;

proc means noprint data=new2;
   var serial;
   by nhid1 nhid2;
output out=newdat2 max(serial)=hhs;

data new3;
set newdat2;
zed1=int(nhid1/10);
region=int(nhid1/10000000);
zed2=zed1*10;
area=nhid1-zed2;
zed3=region*10;
regarea=zed3+area;
proc sort;
   by region;
proc means sum;
   var hhs;
by region;
output out=newdat3 sum(hhs)=totalhhs;
*/
data temp;
   merge newdat3 newdat1;
by region;
avgquant=total/totalhhs;
avgq1=0;
avgp1=0;
if region=1 then avgq1=avgquant;
if region=1 then avgp1=avgprice;
avgq2=0;
avgp2=0;
if region=2 then avgq2=avgquant;
if region=2 then avgp2=avgprice;
avgq3=0;
avgp3=0;
if region=3 then avgq3=avgquant;
if region=3 then avgp3=avgprice;

/*
avgq11=0;
avgp11=0;
if regarea=11 then avgq11=avgquant;
if regarea=11 then avgp11=avgprice;
avgq12=0;
avgp12=0;
if regarea=12 then avgq12=avgquant;
if regarea=12 then avgp12=avgprice;
avgq13=0;
avgp13=0;
if regarea=13 then avgq13=avgquant;
if regarea=13 then avgp13=avgprice;
avgq14=0;
avgp14=0;
if regarea=14 then avgq14=avgquant;
if regarea=14 then avgp14=avgprice;
avgq21=0;
avgp21=0;
if regarea=21 then avgq21=avgquant;
if regarea=21 then avgp21=avgprice;
avgq22=0;
avgp22=0;
if regarea=22 then avgq22=avgquant;
if regarea=22 then avgp22=avgprice;
avgq23=0;
avgp23=0;
if regarea=23 then avgq23=avgquant;
if regarea=23 then avgp23=avgprice;
avgq24=0;
avgp24=0;
if regarea=24 then avgq24=avgquant;
if regarea=24 then avgp24=avgprice;
avgq31=0;
avgp31=0;
if regarea=31 then avgq31=avgquant;
if regarea=31 then avgp31=avgprice;
avgq32=0;
avgp32=0;
if regarea=32 then avgq32=avgquant;
if regarea=32 then avgp32=avgprice;
avgq33=0;
avgp33=0;
if regarea=33 then avgq33=avgquant;
if regarea=33 then avgp33=avgprice;
avgq34=0;
avgp34=0;
if regarea=34 then avgq34=avgquant;
if regarea=34 then avgp34=avgprice;
*/
proc sort;
   by foodcd;
data temp1;
  set temp;
if avgq1>0 and avgp1>0;
keep foodcd avgq1 avgp1;
data temp2;
  set temp;
if avgq2>0 and avgp2>0;
keep foodcd avgq2 avgp2;
data temp3;
  set temp;
if avgq3>0 and avgp3>0;
keep foodcd avgq3 avgp3;
/*
data temp4;
  set temp;
if avgq14>0 and avgp14>0;
keep foodcd avgq14 avgp14;

data temp21;
  set temp;
if avgq21>0 and avgp21>0;
keep foodcd avgq21 avgp21;
data temp22;
  set temp;
if avgq22>0 and avgp22>0;
keep foodcd avgq22 avgp22;
data temp23;
  set temp;
if avgq23>0 and avgp23>0;
keep foodcd avgq23 avgp23;
data temp24;
  set temp;
if avgq24>0 and avgp24>0;
keep foodcd avgq24 avgp24;

data temp31;
  set temp;
if avgq31>0 and avgp31>0;
keep foodcd avgq31 avgp31;
data temp32;
  set temp;
if avgq32>0 and avgp32>0;
keep foodcd avgq32 avgp32;
data temp33;
  set temp;
if avgq33>0 and avgp33>0;
keep foodcd avgq33 avgp33;
data temp34;
  set temp;
if avgq34>0 and avgp34>0;
keep foodcd avgq34 avgp34;
*/
data peter.regonavg;
merge temp1 temp2 temp3;
by foodcd;
proc print;
   var foodcd avgq1 avgq2 avgq3 avgp1 avgp2 avgp3;
format foodcd foodc.;
run;
quit;
